## cunctator.spec.in
##
##    Copyright (C) 2011-2022  Fred Gleason <fredg@paravelsystems.com>
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: System for controlling broadcast audio delays
Name: cunctator
Version: 2.0.0
Release: 1
License: GPL
Group: Productivity/Office/Other
Source: cunctator-2.0.0.tar.gz
BuildRoot: /var/tmp/cunctator-2.0.0

%description
Cunctator is a system for controlling broadcast audio delay units, such as
the AirTools 6100 and Eventide BD600.

%prep
%setup
%configure

%build
make -j 11

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post
ldconfig
if test "redhat" = "suse" ; then
  PACKAGE_DOC_DIR=%_docdir/%{name}
fi
if test "redhat" = "redhat" ; then
  PACKAGE_DOC_DIR=%_docdir/%{name}-2.0.0
fi
if test ! -e /etc/cunctator.conf ; then
  cp $PACKAGE_DOC_DIR/cunctator.conf-sample /etc/cunctator.conf
fi
/bin/systemctl restart cunctator
/bin/systemctl enable cunctator

%preun
/bin/systemctl disable cunctator
/bin/systemctl stop cunctator

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libcunc-2.0.0.so
%{_libdir}/libcunc.so
%{_libdir}/libcunc.la
%{_libdir}/libcunc.a
%{_sbindir}/cuncd
%{_bindir}/cunc
%{_datadir}/icons/hicolor/16x16/apps/cunc.png
%{_datadir}/icons/hicolor/32x32/apps/cunc.png
%{_datadir}/icons/hicolor/48x48/apps/cunc.png
%{_datadir}/applications/cunctator_cunc.desktop
/lib/systemd/system/cunctator.service
%doc conf/cunctator.conf-sample
%doc conf/cunctator.conf-callcommander
%doc README
%doc INSTALL
%doc ChangeLog

%changelog
* Mon Sep  5 2022 Fred Gleason <fgleason@paravelsystems.com>
-- Modified for Systemd.
* Fri Aug 05 2011 Fred Gleason <fgleason@paravelsystems.com>
-- Added 'cunctator.conf-callcommander'.
* Wed Mar 16 2011 Fred Gleason <fgleason@paravelsystems.com>
-- Initial RPM creation.
